<?php

//---------------------------------------------
//load stack default settings from file
//---------------------------------------------
        
if (file_exists('stack/3dstack.xml'))
{
    $xml = simplexml_load_file('stack/3dstack.xml');
}
else
{
    die('settings file is missing');
}

// changing default settings is easy
$xml->Images['StackRenderDepth'] = '5';
$xml->Images['NavigationType'] = 'br';
$xml->Images['EffectsTime'] = '0.5';

//---------------------------------------------
//hardcoded sample entries
//---------------------------------------------

// load 10 images
for ($i = 1; $i <= 10; $i++) {      
  $image[$i] = Array(
    'ImagePath' 			=>	'stack/images/img'. (($i < 10) ? '0'.$i : $i) .'.jpg',
    'ImageLink'				=>	'',
    'ImageLinkTarget' 		=>	'_blank',
    'ToolTip'				=>	'Tooltip - Click image!',
    'Content1'				=>	'Content1 (dynamic)  Click image to return!',
    'Content2'				=>	'Content2 (dynamic)',
    'JSFunction'      		=>	''
    );
}
    
// static content 1
$static[0] = Array(
  'Attributes'  =>  Array(
          'HTML'          =>  'false',
          'AntiAliasing'  =>  'false',
          'Align'         =>  'left',
          'Bold'          =>  'false',
          'Italic'        =>  'false',
          'Font'          =>  'Verdana',
          'FontColor'     =>  '#000000',
          'FontSize'      =>  '11',
          'Leading'       =>  '0',
          'Underline'     =>  'false',
          'Left'          =>  '270',
          'Top'           =>  '10',
          'Width'         =>  '120',
          'Height'        =>  '50',
          'TopMost'       =>  'false',
          'BgColor'       =>  '#eeeeee',
          'Border'        =>  'true',
          'BorderColor'   =>  '#0000ff',
          'Selectable'	  =>  'false',
          'Alpha'		  =>  '100',
          'VisibleOnStackPage'   =>  'true',
          'VisibleOnDetailPage' =>  'true'
      ),
  'Content'     =>  'Static 1-Lorem ipsum no diam scripta nostrum cum'
  );
  
// static content 2
$static[1] = Array(
  'Attributes'  =>  Array(),
  'Content'     =>  ''
  );

// hardcoded sample entries - END

foreach ($image as $entry)
{
	$tag = $xml->Images->addChild('Image');
	foreach ($entry as $key => $value)
	{
		$tag->addChild($key, '<![CDATA['.htmlentities($value).']]>');
	}
}

foreach ($static as $entry)
{
	$tag = $xml->StaticContents->addChild('StaticContent');
	
	foreach ($entry['Attributes'] as $a_key => $a_value)
	{
    $tag->addAttribute($a_key, $a_value);
	}
	
	$tag->addChild('Content', '<![CDATA['.htmlentities($entry['Content']).']]>');
}

print_r(html_entity_decode($xml->asXML()));

?>